Batch update request statuses
Updates the status of up to 500 requests in a single call. Returns 400 with failed processUniqueIds in error.metadata if any request is not found.
Request
Body Params application/jsonRequired
{
"items": [
{
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"processStatus": "START",
"callbackUrl": "https://api.example.com/webhook/status-update",
"operationType": "entrada",
"documentType": "NFE"
},
{
"processUniqueId": "c7865b7c-78d4-4117-98f7-00d918eda49f",
"processStatus": "START",
"callbackUrl": "https://api.example.com/webhook/status-update",
"operationType": "entrada",
"documentType": "NFSE"
}
]
}
Request Code Samples
curl --location --request POST 'https://hom.roit.ai/roit-data-integration/v1/requests/batch-update' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
"items": [
{
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"processStatus": "START",
"callbackUrl": "https://api.example.com/webhook/status-update",
"operationType": "entrada",
"documentType": "NFE"
},
{
"processUniqueId": "c7865b7c-78d4-4117-98f7-00d918eda49f",
"processStatus": "START",
"callbackUrl": "https://api.example.com/webhook/status-update",
"operationType": "entrada",
"documentType": "NFSE"
}
]
}'
Responses
application/json
Batch update completed successfully
{
"status": "success",
"message": "Batch update completed successfully for 2 requests",
"data": [
{
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T11:00:00Z"
},
{
"processUniqueId": "c7865b7c-78d4-4117-98f7-00d918eda49f",
"createdAt": "2024-01-15T09:15:00Z",
"updatedAt": "2024-01-15T11:00:00Z"
}
]
}
Modified at 2026-04-02 20:52:38